Loading...
Searching...
No Matches
chainIterator.h File Reference
`#include <BALL/KERNEL/chain.h>`
`#include <BALL/KERNEL/iterator.h>`
`#include <BALL/KERNEL/predicate.h>`
`#include <BALL/CONCEPT/stdIteratorWrapper.h>`

Go to the source code of this file.

## Classes

class | BALL::ChainIteratorTraits

## Namespaces

namespace | BALL

## Typedefs

Iterator type definitions for the various ChainIterators
typedef BidirectionalIterator< Composite, Chain, Composite::CompositeIterator, ChainIteratorTraits > | BALL::ChainIterator
| A mutable bidirectional iterator for the Chain class.
typedef ConstBidirectionalIterator< Composite, Chain, Composite::CompositeIterator, ChainIteratorTraits > | BALL::ChainConstIterator
| A constant bidirectional iterator for the Chain class.
typedef std::reverse_iterator< ChainIterator > | BALL::ChainReverseIterator
| A mutable reverse bidirectional iterator for the Chain class.
typedef std::reverse_iterator< ChainConstIterator > | BALL::ChainConstReverseIterator
| A constant reverse bidirectional iterator for the Chain class.